> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post config



## OpenAPI

````yaml /api-reference/oda-config-service-1.0.0.yml post /config/{id}
openapi: 3.0.1
info:
  title: oda-config-service
  version: 1.0.0
servers: []
security: []
paths:
  /config/{id}:
    post:
      operationId: update
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigValue'
        required: true
      responses:
        '200':
          description: update 200 response
components:
  schemas:
    ConfigValue:
      required:
        - actions
        - id
        - name
        - ownerId
        - url
        - value
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
        url:
          type: string
        value:
          type: object
          additionalProperties:
            type: object
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ConfigValue.Action'
    ConfigValue.Action:
      required:
        - category
        - game
        - id
        - name
        - price
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        price:
          $ref: '#/components/schemas/Amount'
        category:
          type: string
        game:
          type: string
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string

````